summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/actioncable/Manifest1
-rw-r--r--dev-ruby/actioncable/actioncable-7.1.1.ebuild47
-rw-r--r--dev-ruby/actionmailbox/Manifest1
-rw-r--r--dev-ruby/actionmailbox/actionmailbox-7.1.1.ebuild65
-rw-r--r--dev-ruby/actionmailer/Manifest1
-rw-r--r--dev-ruby/actionmailer/actionmailer-7.1.1.ebuild51
-rw-r--r--dev-ruby/actionpack/Manifest1
-rw-r--r--dev-ruby/actionpack/actionpack-7.1.1.ebuild71
-rw-r--r--dev-ruby/actionview/Manifest1
-rw-r--r--dev-ruby/actionview/actionview-7.1.1.ebuild72
-rw-r--r--dev-ruby/activejob/Manifest1
-rw-r--r--dev-ruby/activejob/activejob-7.1.1.ebuild49
-rw-r--r--dev-ruby/activemodel/Manifest1
-rw-r--r--dev-ruby/activemodel/activemodel-7.1.1.ebuild43
-rw-r--r--dev-ruby/activerecord/Manifest1
-rw-r--r--dev-ruby/activerecord/activerecord-7.1.1.ebuild98
-rw-r--r--dev-ruby/activestorage/Manifest1
-rw-r--r--dev-ruby/activestorage/activestorage-7.1.1.ebuild71
-rw-r--r--dev-ruby/railties/Manifest1
-rw-r--r--dev-ruby/railties/railties-7.1.1.ebuild73
20 files changed, 650 insertions, 0 deletions
diff --git a/dev-ruby/actioncable/Manifest b/dev-ruby/actioncable/Manifest
index 655ecd754075..8fc48fae7c9d 100644
--- a/dev-ruby/actioncable/Manifest
+++ b/dev-ruby/actioncable/Manifest
@@ -3,3 +3,4 @@ DIST rails-6.1.7.6.tgz 11040086 BLAKE2B 8b5311752952403cf8eae31b5d8e8d376c4b449f
DIST rails-7.0.7.2.tgz 11085454 BLAKE2B 05574b6df7e28e409949fb311110fd7137d61c31072b394f950a180135201132f3cf9c5cca8f76c661827d7a5e807bfc4b0c97a449b8941115cbe3a0f2f84f62 SHA512 41fad11bd272ea21f7d15d855da04230f0801d9926f6ce3300754f1b2b9d691f18e55855b1a71e44faaf483b397b02ac11c75eb415b7c8976868bc9aefe5b005
DIST rails-7.0.7.tgz 11071730 BLAKE2B 215642609be86bd9977dc2cdb09a76c64e99260359d0a60aa411a5df572d7699a5f9959ea8aa0ff116ad75110db060436abcfb17da689b1a6aa819fd56373279 SHA512 75f952dfe4d9abc1473dfb017e42daec6358a45efad14a3b39a1b2dc5fec566757c2225fe920a4e872e896966cfb1d4b6e1c40c93d2043aec3bf5bd25ff7c956
DIST rails-7.0.8.tgz 11073254 BLAKE2B 2aee047a365acb0890ef3afbccfe323fedccf7b54214aa1c2f92b7a7aaa64c275c1e03f8f97e6a2e30281224ba30703d18b40aeee9b4e7fb6f035a4a7716a054 SHA512 0e9feb5bd0360868c3109152d8ea414b65d36d33a5dbb96b199cfa6c4335800d6c392e0fbcbfa453a02fd75924a297a65caf04948895de53db43700478dbeb11
+DIST rails-7.1.1.tgz 10871844 BLAKE2B 12ebcb567f9a8eca58fa0a9c066a8c9c904130a514daa079be4625e0b0ef0ab5744d3dfbff01a146c9053a36ecb77e4f4d381ce8167ec511badcbba7f090b499 SHA512 9a18dc102acaaa1e66aa437ea3de2cc41acd04b7a52792fb686e88f14111a0e32e25a6d093f26badfdca2a932cf458720cbdb1efbcc00c766157741ea99a32f1
diff --git a/dev-ruby/actioncable/actioncable-7.1.1.ebuild b/dev-ruby/actioncable/actioncable-7.1.1.ebuild
new file mode 100644
index 000000000000..d06b568ae5a5
--- /dev/null
+++ b/dev-ruby/actioncable/actioncable-7.1.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Integrated WebSockets for Rails"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+# Tests require many new dependencies, skipping for now
+RESTRICT="test"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}:*
+ ~dev-ruby/activesupport-${PV}:*
+ dev-ruby/nio4r:2
+ >=dev-ruby/websocket-driver-0.6.1:*
+ >=dev-ruby/zeitwerk-2.6:2
+"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/railties-4.2.0
+ dev-ruby/test-unit:2
+ >=dev-ruby/mocha-0.14.0:0.14
+ )"
diff --git a/dev-ruby/actionmailbox/Manifest b/dev-ruby/actionmailbox/Manifest
index 655ecd754075..8fc48fae7c9d 100644
--- a/dev-ruby/actionmailbox/Manifest
+++ b/dev-ruby/actionmailbox/Manifest
@@ -3,3 +3,4 @@ DIST rails-6.1.7.6.tgz 11040086 BLAKE2B 8b5311752952403cf8eae31b5d8e8d376c4b449f
DIST rails-7.0.7.2.tgz 11085454 BLAKE2B 05574b6df7e28e409949fb311110fd7137d61c31072b394f950a180135201132f3cf9c5cca8f76c661827d7a5e807bfc4b0c97a449b8941115cbe3a0f2f84f62 SHA512 41fad11bd272ea21f7d15d855da04230f0801d9926f6ce3300754f1b2b9d691f18e55855b1a71e44faaf483b397b02ac11c75eb415b7c8976868bc9aefe5b005
DIST rails-7.0.7.tgz 11071730 BLAKE2B 215642609be86bd9977dc2cdb09a76c64e99260359d0a60aa411a5df572d7699a5f9959ea8aa0ff116ad75110db060436abcfb17da689b1a6aa819fd56373279 SHA512 75f952dfe4d9abc1473dfb017e42daec6358a45efad14a3b39a1b2dc5fec566757c2225fe920a4e872e896966cfb1d4b6e1c40c93d2043aec3bf5bd25ff7c956
DIST rails-7.0.8.tgz 11073254 BLAKE2B 2aee047a365acb0890ef3afbccfe323fedccf7b54214aa1c2f92b7a7aaa64c275c1e03f8f97e6a2e30281224ba30703d18b40aeee9b4e7fb6f035a4a7716a054 SHA512 0e9feb5bd0360868c3109152d8ea414b65d36d33a5dbb96b199cfa6c4335800d6c392e0fbcbfa453a02fd75924a297a65caf04948895de53db43700478dbeb11
+DIST rails-7.1.1.tgz 10871844 BLAKE2B 12ebcb567f9a8eca58fa0a9c066a8c9c904130a514daa079be4625e0b0ef0ab5744d3dfbff01a146c9053a36ecb77e4f4d381ce8167ec511badcbba7f090b499 SHA512 9a18dc102acaaa1e66aa437ea3de2cc41acd04b7a52792fb686e88f14111a0e32e25a6d093f26badfdca2a932cf458720cbdb1efbcc00c766157741ea99a32f1
diff --git a/dev-ruby/actionmailbox/actionmailbox-7.1.1.ebuild b/dev-ruby/actionmailbox/actionmailbox-7.1.1.ebuild
new file mode 100644
index 000000000000..1837f346adc4
--- /dev/null
+++ b/dev-ruby/actionmailbox/actionmailbox-7.1.1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="actionmailbox.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRAINSTALL="app config db"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Framework for designing email-service layers"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activejob-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/activestorage-${PV}
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/mail-2.7.1:*
+ dev-ruby/net-imap
+ dev-ruby/net-pop
+ dev-ruby/net-smtp
+"
+
+ruby_add_bdepend "test? (
+ dev-ruby/bundler
+ <dev-ruby/minitest-5.16
+ dev-ruby/mocha
+ dev-ruby/propshaft
+ dev-ruby/rexml
+ dev-ruby/sqlite3
+ dev-ruby/webmock
+ dev-ruby/rails
+)"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql2\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|sass-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\|websocket-client-simple\|libxml-ruby\|redis\|blade\|aws-sdk\|google-cloud\|azure-storage\|selenium\|webdrivers\|webrick\|minitest-bisect\|minitest-retry\|minitest-reporters\|listen\|rack-cache\|rack-test\|capybara\|webpacker\|bootsnap\|dalli\|connection_pool\|terser\|cookiejar\|cgi\|web-console\|trilogy\|error_highlight\)/ s:^:#:" \
+ -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+ -e '/group :\(cable\|doc\|job\|lint\|rubocop\|storage\|test\)/,/^end/ s:^:#:' \
+ -e '/sqlite/ s/1.6.4/99/' \
+ -i ../Gemfile || die
+ rm ../Gemfile.lock || die
+ sed -i -e '/byebug/ s:^:#:' test/test_helper.rb || die
+}
+
+each_ruby_prepare() {
+ sed -i -e 's:ruby:'${RUBY}':' test/dummy/bin/* || die
+}
diff --git a/dev-ruby/actionmailer/Manifest b/dev-ruby/actionmailer/Manifest
index 655ecd754075..8fc48fae7c9d 100644
--- a/dev-ruby/actionmailer/Manifest
+++ b/dev-ruby/actionmailer/Manifest
@@ -3,3 +3,4 @@ DIST rails-6.1.7.6.tgz 11040086 BLAKE2B 8b5311752952403cf8eae31b5d8e8d376c4b449f
DIST rails-7.0.7.2.tgz 11085454 BLAKE2B 05574b6df7e28e409949fb311110fd7137d61c31072b394f950a180135201132f3cf9c5cca8f76c661827d7a5e807bfc4b0c97a449b8941115cbe3a0f2f84f62 SHA512 41fad11bd272ea21f7d15d855da04230f0801d9926f6ce3300754f1b2b9d691f18e55855b1a71e44faaf483b397b02ac11c75eb415b7c8976868bc9aefe5b005
DIST rails-7.0.7.tgz 11071730 BLAKE2B 215642609be86bd9977dc2cdb09a76c64e99260359d0a60aa411a5df572d7699a5f9959ea8aa0ff116ad75110db060436abcfb17da689b1a6aa819fd56373279 SHA512 75f952dfe4d9abc1473dfb017e42daec6358a45efad14a3b39a1b2dc5fec566757c2225fe920a4e872e896966cfb1d4b6e1c40c93d2043aec3bf5bd25ff7c956
DIST rails-7.0.8.tgz 11073254 BLAKE2B 2aee047a365acb0890ef3afbccfe323fedccf7b54214aa1c2f92b7a7aaa64c275c1e03f8f97e6a2e30281224ba30703d18b40aeee9b4e7fb6f035a4a7716a054 SHA512 0e9feb5bd0360868c3109152d8ea414b65d36d33a5dbb96b199cfa6c4335800d6c392e0fbcbfa453a02fd75924a297a65caf04948895de53db43700478dbeb11
+DIST rails-7.1.1.tgz 10871844 BLAKE2B 12ebcb567f9a8eca58fa0a9c066a8c9c904130a514daa079be4625e0b0ef0ab5744d3dfbff01a146c9053a36ecb77e4f4d381ce8167ec511badcbba7f090b499 SHA512 9a18dc102acaaa1e66aa437ea3de2cc41acd04b7a52792fb686e88f14111a0e32e25a6d093f26badfdca2a932cf458720cbdb1efbcc00c766157741ea99a32f1
diff --git a/dev-ruby/actionmailer/actionmailer-7.1.1.ebuild b/dev-ruby/actionmailer/actionmailer-7.1.1.ebuild
new file mode 100644
index 000000000000..f27f1fcca893
--- /dev/null
+++ b/dev-ruby/actionmailer/actionmailer-7.1.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionmailer.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Framework for designing email-service layers"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activejob-${PV}
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/mail-2.5.4:* =dev-ruby/mail-2*:*
+ dev-ruby/net-imap
+ dev-ruby/net-pop
+ dev-ruby/net-smtp
+ >=dev-ruby/rails-dom-testing-2.2:2"
+
+ruby_add_bdepend "test? (
+ dev-ruby/mocha
+)"
+
+all_ruby_prepare() {
+ # Set test environment to our hand.
+ rm "${S}/../Gemfile" || die "Unable to remove Gemfile"
+ sed -i -e '/\/load_paths/d' test/abstract_unit.rb || die "Unable to remove load paths"
+
+ # Avoid a test failing only on attachment ordering, since this is a
+ # security release.
+ sed -e '/adding inline attachments while rendering mail works/askip "gentoo: fails on ordering"' \
+ -i test/base_test.rb || die
+}
diff --git a/dev-ruby/actionpack/Manifest b/dev-ruby/actionpack/Manifest
index 655ecd754075..8fc48fae7c9d 100644
--- a/dev-ruby/actionpack/Manifest
+++ b/dev-ruby/actionpack/Manifest
@@ -3,3 +3,4 @@ DIST rails-6.1.7.6.tgz 11040086 BLAKE2B 8b5311752952403cf8eae31b5d8e8d376c4b449f
DIST rails-7.0.7.2.tgz 11085454 BLAKE2B 05574b6df7e28e409949fb311110fd7137d61c31072b394f950a180135201132f3cf9c5cca8f76c661827d7a5e807bfc4b0c97a449b8941115cbe3a0f2f84f62 SHA512 41fad11bd272ea21f7d15d855da04230f0801d9926f6ce3300754f1b2b9d691f18e55855b1a71e44faaf483b397b02ac11c75eb415b7c8976868bc9aefe5b005
DIST rails-7.0.7.tgz 11071730 BLAKE2B 215642609be86bd9977dc2cdb09a76c64e99260359d0a60aa411a5df572d7699a5f9959ea8aa0ff116ad75110db060436abcfb17da689b1a6aa819fd56373279 SHA512 75f952dfe4d9abc1473dfb017e42daec6358a45efad14a3b39a1b2dc5fec566757c2225fe920a4e872e896966cfb1d4b6e1c40c93d2043aec3bf5bd25ff7c956
DIST rails-7.0.8.tgz 11073254 BLAKE2B 2aee047a365acb0890ef3afbccfe323fedccf7b54214aa1c2f92b7a7aaa64c275c1e03f8f97e6a2e30281224ba30703d18b40aeee9b4e7fb6f035a4a7716a054 SHA512 0e9feb5bd0360868c3109152d8ea414b65d36d33a5dbb96b199cfa6c4335800d6c392e0fbcbfa453a02fd75924a297a65caf04948895de53db43700478dbeb11
+DIST rails-7.1.1.tgz 10871844 BLAKE2B 12ebcb567f9a8eca58fa0a9c066a8c9c904130a514daa079be4625e0b0ef0ab5744d3dfbff01a146c9053a36ecb77e4f4d381ce8167ec511badcbba7f090b499 SHA512 9a18dc102acaaa1e66aa437ea3de2cc41acd04b7a52792fb686e88f14111a0e32e25a6d093f26badfdca2a932cf458720cbdb1efbcc00c766157741ea99a32f1
diff --git a/dev-ruby/actionpack/actionpack-7.1.1.ebuild b/dev-ruby/actionpack/actionpack-7.1.1.ebuild
new file mode 100644
index 000000000000..c8512d03f0c8
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-7.1.1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/nokogiri-1.8.5
+ >=dev-ruby/rack-2.2.4
+ >=dev-ruby/rack-session-1.0.1
+ >=dev-ruby/rack-test-0.6.3:*
+ >=dev-ruby/rails-dom-testing-2.2:2
+ >=dev-ruby/rails-html-sanitizer-1.6:1
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha:0.14
+ dev-ruby/bundler
+ >=dev-ruby/capybara-3.26
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/rack-cache-1.2:1.2
+ dev-ruby/selenium-webdriver:4
+ www-servers/puma
+ <dev-ruby/minitest-5.16:*
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Fix errors loading rack/session with rack 3.0.
+ sed -i -e '2igem "rack-session"' test/abstract_unit.rb || die
+
+ # Use different timezone notation, this changed at some point due to an external dependency changing.
+ sed -e 's/-0000/GMT/' \
+ -i test/dispatch/response_test.rb test/dispatch/cookies_test.rb test/dispatch/session/cookie_store_test.rb || die
+
+ # Avoid tests that fail with a fixed cgi.rb version
+ sed -e '/test_session_store_with_all_domains/askip "Fails with fixed cgi.rb"' \
+ -i test/dispatch/session/cookie_store_test.rb || die
+}
diff --git a/dev-ruby/actionview/Manifest b/dev-ruby/actionview/Manifest
index 655ecd754075..8fc48fae7c9d 100644
--- a/dev-ruby/actionview/Manifest
+++ b/dev-ruby/actionview/Manifest
@@ -3,3 +3,4 @@ DIST rails-6.1.7.6.tgz 11040086 BLAKE2B 8b5311752952403cf8eae31b5d8e8d376c4b449f
DIST rails-7.0.7.2.tgz 11085454 BLAKE2B 05574b6df7e28e409949fb311110fd7137d61c31072b394f950a180135201132f3cf9c5cca8f76c661827d7a5e807bfc4b0c97a449b8941115cbe3a0f2f84f62 SHA512 41fad11bd272ea21f7d15d855da04230f0801d9926f6ce3300754f1b2b9d691f18e55855b1a71e44faaf483b397b02ac11c75eb415b7c8976868bc9aefe5b005
DIST rails-7.0.7.tgz 11071730 BLAKE2B 215642609be86bd9977dc2cdb09a76c64e99260359d0a60aa411a5df572d7699a5f9959ea8aa0ff116ad75110db060436abcfb17da689b1a6aa819fd56373279 SHA512 75f952dfe4d9abc1473dfb017e42daec6358a45efad14a3b39a1b2dc5fec566757c2225fe920a4e872e896966cfb1d4b6e1c40c93d2043aec3bf5bd25ff7c956
DIST rails-7.0.8.tgz 11073254 BLAKE2B 2aee047a365acb0890ef3afbccfe323fedccf7b54214aa1c2f92b7a7aaa64c275c1e03f8f97e6a2e30281224ba30703d18b40aeee9b4e7fb6f035a4a7716a054 SHA512 0e9feb5bd0360868c3109152d8ea414b65d36d33a5dbb96b199cfa6c4335800d6c392e0fbcbfa453a02fd75924a297a65caf04948895de53db43700478dbeb11
+DIST rails-7.1.1.tgz 10871844 BLAKE2B 12ebcb567f9a8eca58fa0a9c066a8c9c904130a514daa079be4625e0b0ef0ab5744d3dfbff01a146c9053a36ecb77e4f4d381ce8167ec511badcbba7f090b499 SHA512 9a18dc102acaaa1e66aa437ea3de2cc41acd04b7a52792fb686e88f14111a0e32e25a6d093f26badfdca2a932cf458720cbdb1efbcc00c766157741ea99a32f1
diff --git a/dev-ruby/actionview/actionview-7.1.1.ebuild b/dev-ruby/actionview/actionview-7.1.1.ebuild
new file mode 100644
index 000000000000..1c61dfda592e
--- /dev/null
+++ b/dev-ruby/actionview/actionview-7.1.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple, battle-tested conventions and helpers for building web pages"
+HOMEPAGE="https://github.com/rails/rails/"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/builder-3.1:* =dev-ruby/builder-3*:*
+ >=dev-ruby/erubi-1.11:0
+ >=dev-ruby/rails-dom-testing-2.2:2
+ >=dev-ruby/rails-html-sanitizer-1.6:1
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/railties-${PV}
+ dev-ruby/sqlite3
+ <dev-ruby/minitest-5.16:*
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|rack-cache\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|mime-types\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Fix loading of activerecord integration tests. This avoids loading
+ # activerecord twice and thus redefining constants leading to
+ # failures. Bug #719342
+ sed -e '/abstract_unit/arequire "active_record" ; require "active_record/fixtures"' \
+ -e '/defined/ s/FixtureSet/ActiveRecord::FixtureSet/' \
+ -i test/active_record_unit.rb || die
+
+ # Avoid test failing on capitalization difference
+ sed -e '/test_raise_arg_overrides_raise_config_option/askip "Capitalization difference"' \
+ -i test/template/translation_helper_test.rb || die
+
+ # Remove tests that are coupled to the Sanitizer (already removed upstream)
+ sed -e '/test_sanitized_allowed_\(tags_class_method\|attributes_class_method\)/askip "Removed upstream"' \
+ -i test/template/sanitize_helper_test.rb || die
+}
diff --git a/dev-ruby/activejob/Manifest b/dev-ruby/activejob/Manifest
index 655ecd754075..8fc48fae7c9d 100644
--- a/dev-ruby/activejob/Manifest
+++ b/dev-ruby/activejob/Manifest
@@ -3,3 +3,4 @@ DIST rails-6.1.7.6.tgz 11040086 BLAKE2B 8b5311752952403cf8eae31b5d8e8d376c4b449f
DIST rails-7.0.7.2.tgz 11085454 BLAKE2B 05574b6df7e28e409949fb311110fd7137d61c31072b394f950a180135201132f3cf9c5cca8f76c661827d7a5e807bfc4b0c97a449b8941115cbe3a0f2f84f62 SHA512 41fad11bd272ea21f7d15d855da04230f0801d9926f6ce3300754f1b2b9d691f18e55855b1a71e44faaf483b397b02ac11c75eb415b7c8976868bc9aefe5b005
DIST rails-7.0.7.tgz 11071730 BLAKE2B 215642609be86bd9977dc2cdb09a76c64e99260359d0a60aa411a5df572d7699a5f9959ea8aa0ff116ad75110db060436abcfb17da689b1a6aa819fd56373279 SHA512 75f952dfe4d9abc1473dfb017e42daec6358a45efad14a3b39a1b2dc5fec566757c2225fe920a4e872e896966cfb1d4b6e1c40c93d2043aec3bf5bd25ff7c956
DIST rails-7.0.8.tgz 11073254 BLAKE2B 2aee047a365acb0890ef3afbccfe323fedccf7b54214aa1c2f92b7a7aaa64c275c1e03f8f97e6a2e30281224ba30703d18b40aeee9b4e7fb6f035a4a7716a054 SHA512 0e9feb5bd0360868c3109152d8ea414b65d36d33a5dbb96b199cfa6c4335800d6c392e0fbcbfa453a02fd75924a297a65caf04948895de53db43700478dbeb11
+DIST rails-7.1.1.tgz 10871844 BLAKE2B 12ebcb567f9a8eca58fa0a9c066a8c9c904130a514daa079be4625e0b0ef0ab5744d3dfbff01a146c9053a36ecb77e4f4d381ce8167ec511badcbba7f090b499 SHA512 9a18dc102acaaa1e66aa437ea3de2cc41acd04b7a52792fb686e88f14111a0e32e25a6d093f26badfdca2a932cf458720cbdb1efbcc00c766157741ea99a32f1
diff --git a/dev-ruby/activejob/activejob-7.1.1.ebuild b/dev-ruby/activejob/activejob-7.1.1.ebuild
new file mode 100644
index 000000000000..f6748f053fcd
--- /dev/null
+++ b/dev-ruby/activejob/activejob-7.1.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Job framework with pluggable queues"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/globalid-0.3.6
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ dev-ruby/zeitwerk
+ )"
+
+all_ruby_prepare() {
+ # Set test environment to our hand.
+ sed -i -e '/load_paths/d' test/helper.rb || die "Unable to remove load paths"
+
+ # Remove all currently unpackaged queues.
+ sed -i -e 's/que queue_classic resque sidekiq sneakers sucker_punch backburner//' \
+ -e 's/delayed_job//' Rakefile || die
+ sed -i -e '/SneakersAdapter/ s:^:#:' test/cases/exceptions_test.rb || die
+ rm -f test/cases/delayed_job_adapter_test.rb || die
+}
diff --git a/dev-ruby/activemodel/Manifest b/dev-ruby/activemodel/Manifest
index 655ecd754075..8fc48fae7c9d 100644
--- a/dev-ruby/activemodel/Manifest
+++ b/dev-ruby/activemodel/Manifest
@@ -3,3 +3,4 @@ DIST rails-6.1.7.6.tgz 11040086 BLAKE2B 8b5311752952403cf8eae31b5d8e8d376c4b449f
DIST rails-7.0.7.2.tgz 11085454 BLAKE2B 05574b6df7e28e409949fb311110fd7137d61c31072b394f950a180135201132f3cf9c5cca8f76c661827d7a5e807bfc4b0c97a449b8941115cbe3a0f2f84f62 SHA512 41fad11bd272ea21f7d15d855da04230f0801d9926f6ce3300754f1b2b9d691f18e55855b1a71e44faaf483b397b02ac11c75eb415b7c8976868bc9aefe5b005
DIST rails-7.0.7.tgz 11071730 BLAKE2B 215642609be86bd9977dc2cdb09a76c64e99260359d0a60aa411a5df572d7699a5f9959ea8aa0ff116ad75110db060436abcfb17da689b1a6aa819fd56373279 SHA512 75f952dfe4d9abc1473dfb017e42daec6358a45efad14a3b39a1b2dc5fec566757c2225fe920a4e872e896966cfb1d4b6e1c40c93d2043aec3bf5bd25ff7c956
DIST rails-7.0.8.tgz 11073254 BLAKE2B 2aee047a365acb0890ef3afbccfe323fedccf7b54214aa1c2f92b7a7aaa64c275c1e03f8f97e6a2e30281224ba30703d18b40aeee9b4e7fb6f035a4a7716a054 SHA512 0e9feb5bd0360868c3109152d8ea414b65d36d33a5dbb96b199cfa6c4335800d6c392e0fbcbfa453a02fd75924a297a65caf04948895de53db43700478dbeb11
+DIST rails-7.1.1.tgz 10871844 BLAKE2B 12ebcb567f9a8eca58fa0a9c066a8c9c904130a514daa079be4625e0b0ef0ab5744d3dfbff01a146c9053a36ecb77e4f4d381ce8167ec511badcbba7f090b499 SHA512 9a18dc102acaaa1e66aa437ea3de2cc41acd04b7a52792fb686e88f14111a0e32e25a6d093f26badfdca2a932cf458720cbdb1efbcc00c766157741ea99a32f1
diff --git a/dev-ruby/activemodel/activemodel-7.1.1.ebuild b/dev-ruby/activemodel/activemodel-7.1.1.ebuild
new file mode 100644
index 000000000000..d3612584c4c0
--- /dev/null
+++ b/dev-ruby/activemodel/activemodel-7.1.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activemodel.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Toolkit for building modeling frameworks like Active Record and Active Resource"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}:*
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/railties-${PV}
+ dev-ruby/test-unit:2
+ dev-ruby/mocha
+ >=dev-ruby/bcrypt-ruby-3.1.7
+ <dev-ruby/minitest-5.16:*
+ )"
+
+all_ruby_prepare() {
+ # Set test environment to our hand.
+ sed -i -e '/load_paths/d' test/cases/helper.rb || die "Unable to remove load paths"
+}
diff --git a/dev-ruby/activerecord/Manifest b/dev-ruby/activerecord/Manifest
index 655ecd754075..8fc48fae7c9d 100644
--- a/dev-ruby/activerecord/Manifest
+++ b/dev-ruby/activerecord/Manifest
@@ -3,3 +3,4 @@ DIST rails-6.1.7.6.tgz 11040086 BLAKE2B 8b5311752952403cf8eae31b5d8e8d376c4b449f
DIST rails-7.0.7.2.tgz 11085454 BLAKE2B 05574b6df7e28e409949fb311110fd7137d61c31072b394f950a180135201132f3cf9c5cca8f76c661827d7a5e807bfc4b0c97a449b8941115cbe3a0f2f84f62 SHA512 41fad11bd272ea21f7d15d855da04230f0801d9926f6ce3300754f1b2b9d691f18e55855b1a71e44faaf483b397b02ac11c75eb415b7c8976868bc9aefe5b005
DIST rails-7.0.7.tgz 11071730 BLAKE2B 215642609be86bd9977dc2cdb09a76c64e99260359d0a60aa411a5df572d7699a5f9959ea8aa0ff116ad75110db060436abcfb17da689b1a6aa819fd56373279 SHA512 75f952dfe4d9abc1473dfb017e42daec6358a45efad14a3b39a1b2dc5fec566757c2225fe920a4e872e896966cfb1d4b6e1c40c93d2043aec3bf5bd25ff7c956
DIST rails-7.0.8.tgz 11073254 BLAKE2B 2aee047a365acb0890ef3afbccfe323fedccf7b54214aa1c2f92b7a7aaa64c275c1e03f8f97e6a2e30281224ba30703d18b40aeee9b4e7fb6f035a4a7716a054 SHA512 0e9feb5bd0360868c3109152d8ea414b65d36d33a5dbb96b199cfa6c4335800d6c392e0fbcbfa453a02fd75924a297a65caf04948895de53db43700478dbeb11
+DIST rails-7.1.1.tgz 10871844 BLAKE2B 12ebcb567f9a8eca58fa0a9c066a8c9c904130a514daa079be4625e0b0ef0ab5744d3dfbff01a146c9053a36ecb77e4f4d381ce8167ec511badcbba7f090b499 SHA512 9a18dc102acaaa1e66aa437ea3de2cc41acd04b7a52792fb686e88f14111a0e32e25a6d093f26badfdca2a932cf458720cbdb1efbcc00c766157741ea99a32f1
diff --git a/dev-ruby/activerecord/activerecord-7.1.1.ebuild b/dev-ruby/activerecord/activerecord-7.1.1.ebuild
new file mode 100644
index 000000000000..ca2c25a9e6c5
--- /dev/null
+++ b/dev-ruby/activerecord/activerecord-7.1.1.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+# this is not null so that the dependencies will actually be filled
+RUBY_FAKEGEM_TASK_TEST="test"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activerecord.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM"
+HOMEPAGE="https://github.com/rails/rails/"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="mysql postgres sqlite"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "~dev-ruby/activesupport-${PV}
+ ~dev-ruby/activemodel-${PV}
+ >=dev-ruby/timeout-0.4.0
+ sqlite? ( >=dev-ruby/sqlite3-1.4 )
+ mysql? ( dev-ruby/mysql2:0.5 )
+ postgres? ( >=dev-ruby/pg-1.1:1 )"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/benchmark-ips
+ dev-ruby/bundler
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activejob-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/sqlite3-1.4.0
+ dev-ruby/mocha
+ <dev-ruby/minitest-5.16:*
+ )"
+
+DEPEND+=" test? ( >=dev-db/sqlite-3.12.1 )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ rm ../Gemfile.lock || die
+ sed -i -e "/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|execjs\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ sed -i -e '/rack-ssl/d' -e 's/~> 3.4/>= 3.4/' ../railties/railties.gemspec || die
+ sed -e '/bcrypt/ s/3.0.0/3.0/' \
+ -i ../Gemfile || die
+ sed -i -e '/byebug/ s:^:#:' test/cases/base_prevent_writes_test.rb || die
+
+ # Add back json in the Gemfile because we dropped some dependencies
+ # earlier that implicitly required it.
+ sed -i -e '$agem "json"' ../Gemfile || die
+
+ # Avoid single tests using mysql or postgres dependencies.
+ rm test/cases/invalid_connection_test.rb || die
+ sed -e '/test_switching_connections_with_database_url/askip "postgres"' \
+ -i test/cases/connection_adapters/connection_handlers_multi_db_test.rb || die
+
+ # Avoid failing test that makes bad assumptions on database state.
+ sed -i -e '/test_do_not_call_callbacks_for_delete_all/,/^ end/ s:^:#:' \
+ test/cases/associations/has_many_associations_test.rb
+
+ # Avoid test failing to bind limit length in favor of security release
+ sed -i -e '/test_too_many_binds/askip "Fails on Gentoo"' test/cases/bind_parameter_test.rb || die
+
+ # Avoid test failing related to rubygems
+ #sed -e '/test_generates_absolute_path_with_given_root/askip "rubygems actiovation monitor"' \
+ # -i test/cases/tasks/sqlite_rake_test.rb || die
+
+ # Avoid test requiring specific locales
+ sed -i -e '/test_unicode_input_casting/askip "Requires specific locales"' test/cases/binary_test.rb || die
+
+ # Avoid test not compatible with sqlite 3.43
+ sed -e '/test_should_return_float_average_if_db_returns_such/askip "Fails with sqlite 3.43"' \
+ -i test/cases/calculations_test.rb || die
+
+ # Avoid tests requiring a full Rails setup
+ rm -f test/cases/adapters/sqlite3/dbconsole_test.rb || die
+}
+
+each_ruby_test() {
+ if use sqlite; then
+ ${RUBY} -S rake test_sqlite3 || die "sqlite3 tests failed"
+ fi
+}
diff --git a/dev-ruby/activestorage/Manifest b/dev-ruby/activestorage/Manifest
index 655ecd754075..8fc48fae7c9d 100644
--- a/dev-ruby/activestorage/Manifest
+++ b/dev-ruby/activestorage/Manifest
@@ -3,3 +3,4 @@ DIST rails-6.1.7.6.tgz 11040086 BLAKE2B 8b5311752952403cf8eae31b5d8e8d376c4b449f
DIST rails-7.0.7.2.tgz 11085454 BLAKE2B 05574b6df7e28e409949fb311110fd7137d61c31072b394f950a180135201132f3cf9c5cca8f76c661827d7a5e807bfc4b0c97a449b8941115cbe3a0f2f84f62 SHA512 41fad11bd272ea21f7d15d855da04230f0801d9926f6ce3300754f1b2b9d691f18e55855b1a71e44faaf483b397b02ac11c75eb415b7c8976868bc9aefe5b005
DIST rails-7.0.7.tgz 11071730 BLAKE2B 215642609be86bd9977dc2cdb09a76c64e99260359d0a60aa411a5df572d7699a5f9959ea8aa0ff116ad75110db060436abcfb17da689b1a6aa819fd56373279 SHA512 75f952dfe4d9abc1473dfb017e42daec6358a45efad14a3b39a1b2dc5fec566757c2225fe920a4e872e896966cfb1d4b6e1c40c93d2043aec3bf5bd25ff7c956
DIST rails-7.0.8.tgz 11073254 BLAKE2B 2aee047a365acb0890ef3afbccfe323fedccf7b54214aa1c2f92b7a7aaa64c275c1e03f8f97e6a2e30281224ba30703d18b40aeee9b4e7fb6f035a4a7716a054 SHA512 0e9feb5bd0360868c3109152d8ea414b65d36d33a5dbb96b199cfa6c4335800d6c392e0fbcbfa453a02fd75924a297a65caf04948895de53db43700478dbeb11
+DIST rails-7.1.1.tgz 10871844 BLAKE2B 12ebcb567f9a8eca58fa0a9c066a8c9c904130a514daa079be4625e0b0ef0ab5744d3dfbff01a146c9053a36ecb77e4f4d381ce8167ec511badcbba7f090b499 SHA512 9a18dc102acaaa1e66aa437ea3de2cc41acd04b7a52792fb686e88f14111a0e32e25a6d093f26badfdca2a932cf458720cbdb1efbcc00c766157741ea99a32f1
diff --git a/dev-ruby/activestorage/activestorage-7.1.1.ebuild b/dev-ruby/activestorage/activestorage-7.1.1.ebuild
new file mode 100644
index 000000000000..c5d7c1605b5a
--- /dev/null
+++ b/dev-ruby/activestorage/activestorage-7.1.1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="activestorage.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app config db"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Attach cloud and local files in Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+DEPEND+=" test? ( app-text/mupdf media-gfx/imagemagick[jpeg,png,tiff] media-video/ffmpeg app-text/poppler[utils] ) "
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}:*
+ ~dev-ruby/activejob-${PV}:*
+ ~dev-ruby/activerecord-${PV}:*
+ ~dev-ruby/activesupport-${PV}:*
+ dev-ruby/marcel:1.0
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/image_processing-1.2:0
+ =dev-ruby/minitest-5.15*:*
+ dev-ruby/mini_magick
+ dev-ruby/mocha
+ dev-ruby/rake
+ dev-ruby/sprockets-rails
+ >=dev-ruby/sqlite3-1.6.6
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|aws-sdk-s3\|aws-sdk-sns\|google-cloud-storage\|azure-storage\|blade\|bootsnap\|hiredis\|qunit-selenium\|chromedriver-helper\|redis\|rb-inotify\|stackprof\|websocket-client-simple\|libxml-ruby\|sass-rails\|capybara\|rack-cache\|selenium\|dalli\|listen\|connection_pool\|puma\|mysql2\|webdrivers\|webpacker\|rexml\|webmock\|webrick\|propshaft\|sprockets-export\|rack-test\|terser\|cookiejar\|cgi\|web-console\|trilogy\|error_highlight\)/ s:^:#:" \
+ -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+ -e '/group :\(doc\|job\|lint\|rubocop\|test\)/,/^end/ s:^:#:' \
+ -e '/sqlite/ s/1.6.4/99/' \
+ -i ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Use mini_magick since vips is not packaged on Gentoo
+ sed -i -e '/mini_magick/aActiveStorage.variant_processor = :mini_magick' test/test_helper.rb || die
+ # Avoid vips-specific tests
+ sed -e '/\(resized and monochrome variation of JPEG blob\|monochrome with default variant_processor\|disabled variation of JPEG blob\)/askip "No vips support"' \
+ -i test/models/variant_test.rb || die
+
+ # Avoid test where different ffmpeg versions apply different rounding for the duration.
+ sed -i -e '/1.022000/ s:^:#:' test/analyzer/video_analyzer_test.rb || die
+}
diff --git a/dev-ruby/railties/Manifest b/dev-ruby/railties/Manifest
index 655ecd754075..8fc48fae7c9d 100644
--- a/dev-ruby/railties/Manifest
+++ b/dev-ruby/railties/Manifest
@@ -3,3 +3,4 @@ DIST rails-6.1.7.6.tgz 11040086 BLAKE2B 8b5311752952403cf8eae31b5d8e8d376c4b449f
DIST rails-7.0.7.2.tgz 11085454 BLAKE2B 05574b6df7e28e409949fb311110fd7137d61c31072b394f950a180135201132f3cf9c5cca8f76c661827d7a5e807bfc4b0c97a449b8941115cbe3a0f2f84f62 SHA512 41fad11bd272ea21f7d15d855da04230f0801d9926f6ce3300754f1b2b9d691f18e55855b1a71e44faaf483b397b02ac11c75eb415b7c8976868bc9aefe5b005
DIST rails-7.0.7.tgz 11071730 BLAKE2B 215642609be86bd9977dc2cdb09a76c64e99260359d0a60aa411a5df572d7699a5f9959ea8aa0ff116ad75110db060436abcfb17da689b1a6aa819fd56373279 SHA512 75f952dfe4d9abc1473dfb017e42daec6358a45efad14a3b39a1b2dc5fec566757c2225fe920a4e872e896966cfb1d4b6e1c40c93d2043aec3bf5bd25ff7c956
DIST rails-7.0.8.tgz 11073254 BLAKE2B 2aee047a365acb0890ef3afbccfe323fedccf7b54214aa1c2f92b7a7aaa64c275c1e03f8f97e6a2e30281224ba30703d18b40aeee9b4e7fb6f035a4a7716a054 SHA512 0e9feb5bd0360868c3109152d8ea414b65d36d33a5dbb96b199cfa6c4335800d6c392e0fbcbfa453a02fd75924a297a65caf04948895de53db43700478dbeb11
+DIST rails-7.1.1.tgz 10871844 BLAKE2B 12ebcb567f9a8eca58fa0a9c066a8c9c904130a514daa079be4625e0b0ef0ab5744d3dfbff01a146c9053a36ecb77e4f4d381ce8167ec511badcbba7f090b499 SHA512 9a18dc102acaaa1e66aa437ea3de2cc41acd04b7a52792fb686e88f14111a0e32e25a6d093f26badfdca2a932cf458720cbdb1efbcc00c766157741ea99a32f1
diff --git a/dev-ruby/railties/railties-7.1.1.ebuild b/dev-ruby/railties/railties-7.1.1.ebuild
new file mode 100644
index 000000000000..2f73598c7d49
--- /dev/null
+++ b/dev-ruby/railties/railties-7.1.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_TASK_TEST="test:regular"
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="railties.gemspec"
+
+RUBY_FAKEGEM_BINDIR="exe"
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Tools for creating, working with, and running Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+# The test suite has many failures, most likely due to a mismatch in
+# exact dependencies or environment specifics. Needs further
+# investigation.
+RESTRICT="test"
+
+RDEPEND+=">=app-eselect/eselect-rails-0.25"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activesupport-${PV}
+ dev-ruby/irb
+ >=dev-ruby/rackup-1.0.0
+ >=dev-ruby/rake-12.2
+ >=dev-ruby/thor-1.2.2:1
+ >=dev-ruby/zeitwerk-2.6:2
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/actionview-${PV}
+ dev-ruby/mocha:0.14
+ )"
+
+all_ruby_prepare() {
+ rm "${S}/../Gemfile" || die "Unable to remove Gemfile"
+ sed -i -e '/load_paths/d' test/abstract_unit.rb || die "Unable to remove load paths"
+ sed -i -e '1igem "minitest", "~>4.0"' test/abstract_unit.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ ruby_fakegem_binwrapper rails rails-${PV}
+}
+
+pkg_postinst() {
+ elog "To select between slots of rails, use:"
+ elog "\teselect rails"
+
+ eselect rails update
+}
+
+pkg_postrm() {
+ eselect rails update
+}